[OE-core] [PATCH 1/2] build-perf-test-wrapper.sh: check for positional arguments

Markus Lehtonen markus.lehtonen at linux.intel.com
Thu Sep 29 17:10:08 UTC 2016


Stricter checking of command line arguments. The script doesn't use any
positional arguments so don't accept any and error out if those are
found.

Signed-off-by: Markus Lehtonen <markus.lehtonen at linux.intel.com>
---
 scripts/contrib/build-perf-test-wrapper.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index d61e438..90dd545 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -57,6 +57,14 @@ while getopts "ha:c:C:w:" opt; do
     esac
 done
 
+# Check positional args
+shift "$((OPTIND - 1))"
+if [ $# -ne 0 ]; then
+    echo "ERROR: No positional args are accepted."
+    usage
+    exit 1
+fi
+
 echo "Running on `uname -n`"
 if ! git_topdir=$(git rev-parse --show-toplevel); then
         echo "The current working dir doesn't seem to be a git clone. Please cd there before running `basename $0`"
-- 
2.6.6




More information about the Openembedded-core mailing list